GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Types | Public Member Functions
graphchi::GraphChiProgram< VertexDataType_, EdgeDataType_, vertex_t > Class Template Reference

List of all members.

## Public Types
typedef VertexDataType_ | VertexDataType
typedef EdgeDataType_ | EdgeDataType

## Public Member Functions
virtual void | before_iteration (int iteration, graphchi_context &gcontext)
virtual void | after_iteration (int iteration, graphchi_context &gcontext)
virtual void | before_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)
virtual void | after_exec_interval (vid_t window_st, vid_t window_en, graphchi_context &gcontext)
virtual void | update (vertex_t &v, graphchi_context &gcontext)=0

## Member Function Documentation

template<typename VertexDataType_, typename EdgeDataType_, typename vertex_t = graphchi_vertex<VertexDataType_, EdgeDataType_>>

virtual void graphchi::GraphChiProgram< VertexDataType_, EdgeDataType_, vertex_t >::after_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an execution interval has finished.

Reimplemented in graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >, graphlab::GraphLabWrapper< GraphLabVertexProgram >, TriangleCountingProgram, ALSVerticesInMemProgram, ALSEdgeFactorsProgram, CommunityDetectionProgram, ConnectedComponentsProgram, SmokeTestProgram2, MyGraphChiProgram, SmokeTestProgram, and SmokeTestProgram.

template<typename VertexDataType_, typename EdgeDataType_, typename vertex_t = graphchi_vertex<VertexDataType_, EdgeDataType_>>

virtual void graphchi::GraphChiProgram< VertexDataType_, EdgeDataType_, vertex_t >::after_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called after an iteration has finished.

Reimplemented in graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >, graphlab::GraphLabWrapper< GraphLabVertexProgram >, TriangleCountingProgram, ALSVerticesInMemProgram, ALSEdgeFactorsProgram, CommunityDetectionProgram, graphchi::FunctionalProgramProxyBulkSync< KERNEL >, ConnectedComponentsProgram, graphchi::FunctionalProgramProxySemisync< KERNEL >, SmokeTestProgram2, MyGraphChiProgram, SmokeTestProgram, SmokeTestProgram, PagerankProgram, and PagerankProgram.

template<typename VertexDataType_, typename EdgeDataType_, typename vertex_t = graphchi_vertex<VertexDataType_, EdgeDataType_>>

virtual void graphchi::GraphChiProgram< VertexDataType_, EdgeDataType_, vertex_t >::before_exec_interval | ( | vid_t | window_st,
|  | vid_t | window_en,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an execution interval is started.

Reimplemented in graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >, graphlab::GraphLabWrapper< GraphLabVertexProgram >, TriangleCountingProgram, ALSVerticesInMemProgram, ALSEdgeFactorsProgram, CommunityDetectionProgram, graphchi::FunctionalProgramProxyBulkSync< KERNEL >, ConnectedComponentsProgram, graphchi::FunctionalProgramProxySemisync< KERNEL >, SmokeTestProgram2, PagerankProgram, MyGraphChiProgram, SmokeTestProgram, SmokeTestProgram, and PagerankProgram.

template<typename VertexDataType_, typename EdgeDataType_, typename vertex_t = graphchi_vertex<VertexDataType_, EdgeDataType_>>

virtual void graphchi::GraphChiProgram< VertexDataType_, EdgeDataType_, vertex_t >::before_iteration | ( | int | iteration,
|  | graphchi_context & | gcontext
| ) |  |
| inline virtual

Called before an iteration starts.

Reimplemented in graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >, graphlab::GraphLabWrapper< GraphLabVertexProgram >, TriangleCountingProgram, ALSEdgeFactorsProgram, CommunityDetectionProgram, graphchi::FunctionalProgramProxyBulkSync< KERNEL >, ConnectedComponentsProgram, graphchi::FunctionalProgramProxySemisync< KERNEL >, SmokeTestProgram2, ALSVerticesInMemProgram, MyGraphChiProgram, SmokeTestProgram, SmokeTestProgram, PagerankProgram, and PagerankProgram.

template<typename VertexDataType_, typename EdgeDataType_, typename vertex_t = graphchi_vertex<VertexDataType_, EdgeDataType_>>

virtual void graphchi::GraphChiProgram< VertexDataType_, EdgeDataType_, vertex_t >::update | ( | vertex_t & | v,
|  | graphchi_context & | gcontext
| ) |  |
| pure virtual

Update function.

Implemented in graphlab::GraphLabEdgeAggregatorWrapper< GraphLabVertexProgram, ReductionType, EdgeMapType, FinalizerType >, graphlab::GraphLabWrapper< GraphLabVertexProgram >, TriangleCountingProgram, PagerankProgram, CommunityDetectionProgram, ALSVerticesInMemProgram, ALSEdgeFactorsProgram, ConnectedComponentsProgram, PagerankProgram, SmokeTestProgram2, SmokeTestProgram, SmokeTestProgram, and MyGraphChiProgram.

The documentation for this class was generated from the following file:

- src/api/graphchi_program.hpp